<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>MapDataPrefetcher (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MapDataPrefetcher (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":9,"i9":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapDataPrefetcher.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Adapter.html" title="class in com.here.android.mpa.prefetcher"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/prefetcher/MapDataPrefetcher.html" target="_top">Frames</a></li>
<li><a href="MapDataPrefetcher.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.prefetcher</div>
<h2 title="Class MapDataPrefetcher" class="title">Class MapDataPrefetcher</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.prefetcher.MapDataPrefetcher</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">MapDataPrefetcher</span>
extends java.lang.Object</pre>
<div class="block">This class is used to prefetch map data for an area of interest. This is similar to the MapLoader
 except the map data of interest is specified by a GeoBoundingBox or Route, rather than MapPackages.
 This allows scenarios such as guidance to work in a specific area reliably even though the network
 might be offline at that time.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Adapter.html" title="class in com.here.android.mpa.prefetcher">MapDataPrefetcher.Adapter</a></span></code>
<div class="block">Default implementation for the <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Listener.html" title="interface in com.here.android.mpa.prefetcher"><code>MapDataPrefetcher.Listener</code></a> interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static interface </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Listener.html" title="interface in com.here.android.mpa.prefetcher">MapDataPrefetcher.Listener</a></span></code>
<div class="block">This interface receives notifications from <code>MapDataPrefetcher</code> that indicates
 the progress for loading the map data and the result if the cache was successfully purged.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Request.html" title="class in com.here.android.mpa.prefetcher">MapDataPrefetcher.Request</a></span></code>
<div class="block">An object that is returned from a request to fetch map data.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.html#addListener-com.here.android.mpa.prefetcher.MapDataPrefetcher.Listener-">addListener</a></span>(<a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Listener.html" title="interface in com.here.android.mpa.prefetcher">MapDataPrefetcher.Listener</a> listener)</code>
<div class="block">Add a listener to the prefetcher.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.html#cancelAllRequests--">cancelAllRequests</a></span>()</code>
<div class="block">Cancel all pending prefetch requests.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.html#cancelRequest-int-">cancelRequest</a></span>(int requestId)</code>
<div class="block">Cancel the prefetch request.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.html#clearMapDataCache--">clearMapDataCache</a></span>()</code>
<div class="block">Clears any cached map data that has been prefetched or downloaded automatically by MapView
 that is currently not in use.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Request.html" title="class in com.here.android.mpa.prefetcher">MapDataPrefetcher.Request</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.html#estimateMapDataSize-com.here.android.mpa.common.GeoBoundingBox-">estimateMapDataSize</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> area)</code>
<div class="block">Estimates the data size for fetching the map data for an area bounded by a box.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Request.html" title="class in com.here.android.mpa.prefetcher">MapDataPrefetcher.Request</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.html#estimateMapDataSize-com.here.android.mpa.routing.Route-int-">estimateMapDataSize</a></span>(<a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing">Route</a> route,
                   int radius)</code>
<div class="block">Estimates the data size for fetching the map data around the route.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Request.html" title="class in com.here.android.mpa.prefetcher">MapDataPrefetcher.Request</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.html#fetchMapData-com.here.android.mpa.common.GeoBoundingBox-">fetchMapData</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> area)</code>
<div class="block">Prefetch the map data for an area bounded by a box.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Request.html" title="class in com.here.android.mpa.prefetcher">MapDataPrefetcher.Request</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.html#fetchMapData-com.here.android.mpa.routing.Route-int-">fetchMapData</a></span>(<a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing">Route</a> route,
            int radius)</code>
<div class="block">Prefetch the map data for around a route.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.html" title="class in com.here.android.mpa.prefetcher">MapDataPrefetcher</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.html#getInstance--">getInstance</a></span>()</code>
<div class="block">Returns the instance of the MapDataPrefetcher.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.html#removeListener-com.here.android.mpa.prefetcher.MapDataPrefetcher.Listener-">removeListener</a></span>(<a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Listener.html" title="interface in com.here.android.mpa.prefetcher">MapDataPrefetcher.Listener</a> listener)</code>
<div class="block">Remove a listener from the prefetcher.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="cancelRequest-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancelRequest</h4>
<pre>public void cancelRequest(int requestId)</pre>
<div class="block">Cancel the prefetch request. On cancelling a request, the prefetcher will notify the
 listeners with the status PREFETCH_CANCELLED.
 See
 <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Listener.html#onStatus-int-com.here.android.mpa.prefetcher.MapDataPrefetcher.Listener.PrefetchStatus-"><code>MapDataPrefetcher.Listener.onStatus(int, MapDataPrefetcher.Listener.PrefetchStatus)</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>requestId</code> - Id for the prefetcher request. Request ids less than 0 are invalid.</dd>
</dl>
</li>
</ul>
<a name="cancelAllRequests--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancelAllRequests</h4>
<pre>public void cancelAllRequests()</pre>
<div class="block">Cancel all pending prefetch requests. On cancelling a request, the prefetcher will notify
 the listeners with the status PREFETCH_CANCELLED.
 See
 <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Listener.html#onStatus-int-com.here.android.mpa.prefetcher.MapDataPrefetcher.Listener.PrefetchStatus-"><code>MapDataPrefetcher.Listener.onStatus(int, MapDataPrefetcher.Listener.PrefetchStatus)</code></a>.</div>
</li>
</ul>
<a name="fetchMapData-com.here.android.mpa.common.GeoBoundingBox-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchMapData</h4>
<pre>public <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Request.html" title="class in com.here.android.mpa.prefetcher">MapDataPrefetcher.Request</a> fetchMapData(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> area)</pre>
<div class="block">Prefetch the map data for an area bounded by a box. While fetching valid requests,
 the prefetcher will notify callbacks:
 <ul>
 <li>onProgressNotification - multiple times.</li>
 <li>onStatusNotification - during the duration of the fetch with the PREFETCH_IN_PROGRESS.</li>
 <li>onStatusNotification - when the fetch ended with a PrefetchStatus of PREFETCH_SUCCESS,
 PREFETCH_FAILURE or PREFETCH_CANCELLED.</li>
 </ul>
 <p>See <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Listener.html" title="interface in com.here.android.mpa.prefetcher"><code>MapDataPrefetcher.Listener</code></a>.</p>
 <p>
 The same data groups as MapLoader are fetched by MapDataPrefetcher.
 To specify which data groups to fetch:
 See <a href="../../../../../com/here/android/mpa/odml/MapLoader.html#selectDataGroup-com.here.android.mpa.odml.MapPackage.SelectableDataGroup-"><code>MapLoader.selectDataGroup(MapPackage.SelectableDataGroup)</code></a>
 See <a href="../../../../../com/here/android/mpa/odml/MapLoader.html#deselectDataGroup-com.here.android.mpa.odml.MapPackage.SelectableDataGroup-"><code>MapLoader.deselectDataGroup(MapPackage.SelectableDataGroup)</code></a>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>area</code> - Area to fetch map data for.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Request for the area.</dd>
</dl>
</li>
</ul>
<a name="fetchMapData-com.here.android.mpa.routing.Route-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchMapData</h4>
<pre>public <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Request.html" title="class in com.here.android.mpa.prefetcher">MapDataPrefetcher.Request</a> fetchMapData(<a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing">Route</a> route,
                                              int radius)</pre>
<div class="block">Prefetch the map data for around a route. While fetching valid requests,
 the prefetcher will notify callbacks:
 <ul>
 <li>onProgressNotification - multiple times.</li>
 <li>onStatusNotification - during the duration of the fetch with the PREFETCH_IN_PROGRESS.</li>
 <li>onStatusNotification - when the fetch as ended with a PrefetchStatus of PREFETCH_SUCCESS,
 PREFETCH_FAILURE or PREFETCH_CANCELLED.</li>
 </ul>
 <p>See <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Listener.html" title="interface in com.here.android.mpa.prefetcher"><code>MapDataPrefetcher.Listener</code></a>.</p>
 <p>
 The same data groups as MapLoader are fetched by MapDataPrefetcher.
 To specify which data groups to fetch:
 See <a href="../../../../../com/here/android/mpa/odml/MapLoader.html#selectDataGroup-com.here.android.mpa.odml.MapPackage.SelectableDataGroup-"><code>MapLoader.selectDataGroup(MapPackage.SelectableDataGroup)</code></a>
 See <a href="../../../../../com/here/android/mpa/odml/MapLoader.html#deselectDataGroup-com.here.android.mpa.odml.MapPackage.SelectableDataGroup-"><code>MapLoader.deselectDataGroup(MapPackage.SelectableDataGroup)</code></a>
 </p>
 <p>
 Not supported by Transit and UrbanMobility routes.
 An error code of INVALID_PARAMETERS will be returned instead.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>route</code> - Route to fetch map data around.</dd>
<dd><code>radius</code> - Distance around route to fetch map data for in meters. Data is fetched as a
         series of circular areas with their centers along the route with the specified
         radius. The absolute minimum distance is 500m, otherwise, INVALID_PARAMETERS
         will be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Request for the route.</dd>
</dl>
</li>
</ul>
<a name="estimateMapDataSize-com.here.android.mpa.common.GeoBoundingBox-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estimateMapDataSize</h4>
<pre>public <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Request.html" title="class in com.here.android.mpa.prefetcher">MapDataPrefetcher.Request</a> estimateMapDataSize(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> area)</pre>
<div class="block">Estimates the data size for fetching the map data for an area bounded by a box. When the data
 size estimation is completed, the prefetcher will notify the listeners with the size in KB
 if successful.
 <p>See <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Listener.html#onDataSizeEstimated-int-boolean-long-"><code>MapDataPrefetcher.Listener.onDataSizeEstimated(int, boolean, long)</code></a>.</p>
 <p>
 The same data groups as MapLoader are fetched by MapDataPrefetcher and is the same data
 groups used for the estimation.
 To specify which data groups to fetch:
 See <a href="../../../../../com/here/android/mpa/odml/MapLoader.html#selectDataGroup-com.here.android.mpa.odml.MapPackage.SelectableDataGroup-"><code>MapLoader.selectDataGroup(MapPackage.SelectableDataGroup)</code></a>
 See <a href="../../../../../com/here/android/mpa/odml/MapLoader.html#deselectDataGroup-com.here.android.mpa.odml.MapPackage.SelectableDataGroup-"><code>MapLoader.deselectDataGroup(MapPackage.SelectableDataGroup)</code></a>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>area</code> - The Area to fetch map data for.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Request for the size estimatation for the area. An error code of
          OPERATION_NOT_ALLOWED is returned when a shared disk cache is in use.</dd>
</dl>
</li>
</ul>
<a name="estimateMapDataSize-com.here.android.mpa.routing.Route-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estimateMapDataSize</h4>
<pre>public <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Request.html" title="class in com.here.android.mpa.prefetcher">MapDataPrefetcher.Request</a> estimateMapDataSize(<a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing">Route</a> route,
                                                     int radius)</pre>
<div class="block">Estimates the data size for fetching the map data around the route. When the data size
 estimation is completed, the prefetcher will notify the listeners with the size in KB
 if successful.
 <p>See <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Listener.html#onDataSizeEstimated-int-boolean-long-"><code>MapDataPrefetcher.Listener.onDataSizeEstimated(int, boolean, long)</code></a>.</p>
 <p>
 The same data groups as MapLoader are fetched by MapDataPrefetcher and is the same data
 groups used for the estimation.
 To specify which data groups to fetch:
 See <a href="../../../../../com/here/android/mpa/odml/MapLoader.html#selectDataGroup-com.here.android.mpa.odml.MapPackage.SelectableDataGroup-"><code>MapLoader.selectDataGroup(MapPackage.SelectableDataGroup)</code></a>
 See <a href="../../../../../com/here/android/mpa/odml/MapLoader.html#deselectDataGroup-com.here.android.mpa.odml.MapPackage.SelectableDataGroup-"><code>MapLoader.deselectDataGroup(MapPackage.SelectableDataGroup)</code></a>
 </p>
 <p>
 Not supported by Transit and UrbanMobility routes.
 An error code of INVALID_PARAMETERS will be returned instead.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>route</code> - Route to fetch map data around.</dd>
<dd><code>radius</code> - Distance around route to fetch map data for in meters. Data is fetched as a
         series of circular areas with their centers along the route with the specified
         radius. The absolute minimum distance is 500m, otherwise, INVALID_PARAMETERS
         will be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Request for the size estimation for the route. An error code of
          OPERATION_NOT_ALLOWED is returned when a shared disk cache is in use.</dd>
</dl>
</li>
</ul>
<a name="clearMapDataCache--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearMapDataCache</h4>
<pre>public void clearMapDataCache()</pre>
<div class="block">Clears any cached map data that has been prefetched or downloaded automatically by MapView
 that is currently not in use. This doesn't include MapPackages downloaded by MapLoader.
 The MapDataPrefetcher will notify the listeners if clear was successful or not.
 <p>
 NOTE: Map data cannot be purged when a shared disk cache is in use.
 </p>
 <p>
 See <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Listener.html#onCachePurged-boolean-"><code>MapDataPrefetcher.Listener.onCachePurged(boolean)</code></a>.
 </p></div>
</li>
</ul>
<a name="addListener-com.here.android.mpa.prefetcher.MapDataPrefetcher.Listener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addListener</h4>
<pre>public void addListener(<a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Listener.html" title="interface in com.here.android.mpa.prefetcher">MapDataPrefetcher.Listener</a> listener)</pre>
<div class="block">Add a listener to the prefetcher.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - Any events for any requests will be passed to this listeners.</dd>
</dl>
</li>
</ul>
<a name="removeListener-com.here.android.mpa.prefetcher.MapDataPrefetcher.Listener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeListener</h4>
<pre>public void removeListener(<a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Listener.html" title="interface in com.here.android.mpa.prefetcher">MapDataPrefetcher.Listener</a> listener)</pre>
<div class="block">Remove a listener from the prefetcher.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - The progress listener to be removed.</dd>
</dl>
</li>
</ul>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.html" title="class in com.here.android.mpa.prefetcher">MapDataPrefetcher</a> getInstance()</pre>
<div class="block">Returns the instance of the MapDataPrefetcher.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of the MapDataPrefetcher.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapDataPrefetcher.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../com/here/android/mpa/prefetcher/MapDataPrefetcher.Adapter.html" title="class in com.here.android.mpa.prefetcher"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/prefetcher/MapDataPrefetcher.html" target="_top">Frames</a></li>
<li><a href="MapDataPrefetcher.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
